Bug 133334 - Yum dies with wrong error message if repodata/* and *.rpm aren't synchron
Yum dies with wrong error message if repodata/* and *.rpm aren't synchron
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 04:51 EDT by Robert Scheck
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 02:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-09-23 04:51:48 EDT
Description of problem:
--- snipp ---
[root@devel root]# yum update 
Setting up Update Process 
Setting up Repo:  base 
repomd.xml                100% |=========================|  903 B    00:00 
Reading repository metadata in from local files 
base      : ################################################## 804/804 
Excluding Packages 
Excluding Packages from Development (i386/base)
Resolving Dependencies 
RPMS/procps-3.2.3-3.i386.rpm: [Errno 4] IOError: HTTP Error 404: Not Found 
Traceback (most recent call last): 
  File "/usr/share/yum-cli/yummain.py", line 139, in ? 
    main(sys.argv[1:]) 
  File "/usr/share/yum-cli/yummain.py", line 94, in main 
    (result, resultmsgs) = base.buildTransaction() 
  File "__init__.py", line 147, in buildTransaction 
  File "depsolve.py", line 170, in resolveDeps 
  File "depsolve.py", line 128, in populateTs 
  File "__init__.py", line 369, in downloadHeader 
OSError: [Errno 2] File or directory not found: 
'//var/cache/yum/base/headers/procps-3.2.3-3.i386.hdr' 
[root@devel root]#
--- snapp ---

Version-Release number of selected component (if applicable):
yum-2.1.3-1

How reproducible:
Only if repodata/* isn't up-to-date with the *.rpm files.

Actual results:
Yum dies with a wrong error message if a *.rpm file is not found but 
listed in the xml files.

Expected results:
Better error message and/or no death...
Comment 1 Seth Vidal 2004-09-23 13:41:16 EDT
The error message will be cleaned up. But if the package is
unavailable and there are no mirrors to fail over to, then yum will exit.

required data not being present is a fatal condition.
Comment 2 Seth Vidal 2004-09-27 02:38:20 EDT
Error message has been cleaned up.

Note You need to log in before you can comment on or make changes to this bug.